<?php
/**
 * Template Name: Shop Template
 *
 * Description: Shop Template
 *
* @package    VG veneno
 * @author     VinaGecko <support@vinagecko.com>
 * @copyright  Copyright (C) 2015 VinaGecko.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://vinagecko.com
 */
if (! defined('ABSPATH')) exit; // Exit if accessed directly

veneno_get_header();
?>
<?php
global $veneno_options, $veneno_showcountdown, $veneno_productrows;

$veneno_showcountdown = false;
$veneno_productrows = 1;
?>
<div class="main-container page-shop">
	<div class="page-content">
		<div class="container">
			<?php if(isset($veneno_options['opening_img']) && $veneno_options['opening_img'] != '') { ?>
				<div class="veneno-banner banner-category"><a href="<?php echo esc_url($veneno_options['cat_banner_link']); ?>"><img src="<?php echo esc_url($veneno_options['cat_banner_img']['url']); ?>" alt=""></a></div>
			<?php } ?>
			<div class="row">
			
				<?php if(isset($veneno_options['sidebar_pos']) && $veneno_options['sidebar_pos']=='left') :?>
					<?php get_sidebar('category'); ?>
				<?php endif; ?>
				<div class="col-xs-12 <?php if (is_active_sidebar('sidebar-category')) : ?>col-md-9<?php endif; ?>">
					<?php veneno_breadcrumb(); ?>
					<div class="default-shop">
						<?php while (have_posts()) : the_post(); ?>
							<?php get_template_part('content', 'page'); ?>
						<?php endwhile; // end of the loop. ?>
					</div>
				</div>
				<?php if(isset($veneno_options['sidebar_pos']) && $veneno_options['sidebar_pos']=='right') :?>
					<?php get_sidebar('category'); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>
<?php veneno_get_footer(); ?>