<?php
/**
 * Cross-sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if (! defined('ABSPATH')) exit; // Exit if accessed directly

global $product, $woocommerce, $woocommerce_loop, $veneno_options;

$crosssells = WC()->cart->get_cross_sells();

if (sizeof($crosssells) == 0) return;

$meta_query = WC()->query->get_meta_query();

$crosssells_amount = isset($veneno_options['crosssells_amount']) ? $veneno_options['crosssells_amount'] : $posts_per_page;

$args = array(
	'post_type'           => 'product',
	'ignore_sticky_posts' => 1,
	'no_found_rows'       => 1,
	'posts_per_page'      => apply_filters('woocommerce_cross_sells_total', $crosssells_amount),
	'orderby'             => $orderby,
	'post__in'            => $crosssells,
	'meta_query'          => $meta_query
);

$products = new WP_Query($args);

$woocommerce_loop['columns'] = apply_filters('woocommerce_cross_sells_columns', $columns);

if ($products->have_posts()) : ?>

	<div class="widget crosssells_products_widget">

	<h3 class="widget-title"><span><?php echo esc_html($veneno_options['crosssells_title']); ?></span></h3>
		<div class="crosssells products">
			<?php woocommerce_product_loop_start(); ?>

				<?php while ($products->have_posts()) : $products->the_post(); ?>

					<?php wc_get_template_part('content', 'product'); ?>

				<?php endwhile; // end of the loop. ?>

			<?php woocommerce_product_loop_end(); ?>
		</div>
	</div>

<?php endif;

wp_reset_query();