<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.4.0
 */

if (! defined('ABSPATH')) exit; // Exit if accessed directly

global $product, $woocommerce_loop, $veneno_options, $veneno_showcountdown, $veneno_productrows, $veneno_productsfound;

//hide countdown on category page, show on all others
if(!isset($veneno_showcountdown)) {
	$veneno_showcountdown = true;
}

// Store loop count we're currently on
if (empty($woocommerce_loop['loop']))
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if (empty($woocommerce_loop['columns']))
	$woocommerce_loop['columns'] = apply_filters('loop_shop_columns', 4);

// Ensure visibility
if (! $product || ! $product->is_visible())
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 === (( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns']) || 1 === $woocommerce_loop['columns'] ) {
	$classes[] = 'first';
}
if ( 0 === $woocommerce_loop['loop'] % $woocommerce_loop['columns'] ) {
	$classes[] = 'last';
}

if ($woocommerce_loop['columns'] == 3 ) {
	$colwidth = 4;
	$colwidth_sm = 6;
} else {
	$colwidth = 3;
	$colwidth_sm = 4;
}

$classes[] = ' item-col col-lg-'. $colwidth .' col-sm-'. $colwidth_sm .' col-xs-6';?>

<?php if ((0 == ($woocommerce_loop['loop'] - 1) % 2) && ($woocommerce_loop['columns'] == 2)) {
	if($veneno_productrows!=1){
		echo '<div class="group">';
	}
} ?>

<div <?php post_class($classes); ?>>
	<div class="product-wrapper">
		<?php do_action('woocommerce_before_shop_loop_item'); ?>
		<?php if ($product->is_on_sale() && ($product->is_featured() == null)) : ?>
			<?php echo apply_filters('woocommerce_sale_flash', '<span class="vina-label"><span class="sale-bg"></span><span class="sale-text">' . esc_html__('Sale', 'veneno') . '</span></span>', $post, $product); ?>
		<?php endif; ?>
		<?php if ($product->is_featured() && $product->is_on_sale()) : ?>
			<?php echo apply_filters('woocommerce_featured_flash', '<span class="vina-label"><span class="hot-bg"></span><span class="hot-text">' . esc_html__('Hot', 'veneno') . '</span></span>', $post, $product); ?>
		<?php endif; ?>
		<?php if ($product->is_featured() && ($product->is_on_sale() == null)) : ?>
			<?php echo apply_filters('woocommerce_featured_flash', '<span class="vina-label"><span class="hot-bg"></span><span class="hot-text">' . esc_html__('Hot', 'veneno') . '</span></span>', $post, $product); ?>
		<?php endif; ?>
		<div class="list-col4">
			<div class="product-image">
				<?php if($vg_pisces_options['second_image']){ ?>
				<a class="twoimg" href="<?php echo esc_url( get_permalink( $product->id ) ); ?>" title="<?php echo esc_attr( $product->get_title() ); ?>">
				<?php } else { ?>
				<a class="oneimg" href="<?php echo esc_url( get_permalink( $product->id ) ); ?>" title="<?php echo esc_attr( $product->get_title() ); ?>">
				<?php } ?>
					<?php 
					echo $product->get_image('shop_catalog', array('class'=>'primary_image'));
					if(isset($veneno_options['second_image'])){
						if($veneno_options['second_image']){
							$attachment_ids = $product->get_gallery_attachment_ids();
							if (!empty($attachment_ids)) {
								echo wp_get_attachment_image( $attachment_ids[0], apply_filters( 'single_product_small_thumbnail_size', 'shop_catalog' ), false, array('class'=>'secondary_image') );
							}
						}
					}
					?>
				</a>
				
				<?php if(($veneno_options['quick_view']) == true) { ?>
					<div class="quick-wrapper">
						<a class="quickview quick-view" data-quick-id="<?php the_ID();?>" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php esc_html_e('Quick View', 'veneno');?></a>
					</div>
				<?php } ?>
			</div>
		</div>
		<div class="list-col8">
			<div class="gridview">
				<div class="text-block">
					<h2 class="product-name">
						<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
					</h2>
					<div class="ratings"><?php echo $product->get_rating_html(); ?> <?php echo $product->get_review_count(). esc_html__(" review(s)", "veneno"); ?></div>
					<div class="price-box"><?php echo $product->get_price_html(); ?></div>
					<div class="actions">
						<div class="action-buttons">
							<div class="add-to-cart">
								<?php echo do_shortcode('[add_to_cart id="'.$product->id.'"]') ?>
							</div>
							<div class="add-to-links">
								<div class="wishlist-block">
								<?php if (class_exists('YITH_WCWL')) {
									echo preg_replace("/<img[^>]+\>/i", " ", do_shortcode('[yith_wcwl_add_to_wishlist]'));
								} ?>
								</div>
								<div class="compare-block">
								<?php if(class_exists('YITH_Woocompare')) {
									echo do_shortcode('[yith_compare_button]');
								} ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="listview">
				<h2 class="product-name">
					<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
				</h2>
				<div class="price-box"><?php echo $product->get_price_html(); ?></div>
				<div class="ratings"><?php echo $product->get_rating_html(); ?> <?php echo $product->get_review_count(). esc_html__(" review(s)", "veneno"); ?></div>
				<div class="product-desc"><?php the_excerpt(); ?></div>
				<div class="actions">
					<div class="action-buttons">
						<div class="add-to-cart">
							<?php echo do_shortcode('[add_to_cart id="'.$product->id.'"]') ?>
						</div>
						<div class="add-to-links">
							<?php echo preg_replace("/<img[^>]+\>/i", " ", do_shortcode('[yith_wcwl_add_to_wishlist]')); ?>
							<?php echo do_shortcode('[yith_compare_button]') ?>
						</div>
					</div>
				</div>
				<?php
				$countdown = false;
				$sale_end = get_post_meta( $product->id, '_sale_price_dates_to', true );
				/* simple product */
				if($sale_end){
					$countdown = true;
					$sale_end = date('Y/m/d', (int)$sale_end);
					?>
					<div class="box-timer">
						<div class="countbox hastime" data-time="<?php echo esc_attr($sale_end); ?>"></div>
					</div>
				<?php } ?>
				<?php /* variable product */
				if($product->children){
					$vsale_end = array();
					
					foreach($product->children as $pvariable){
						$vsale_end[] = (int)get_post_meta( $pvariable, '_sale_price_dates_to', true );
						
						if( get_post_meta( $pvariable, '_sale_price_dates_to', true ) ){
							$countdown = true;
						}
					}
					if($countdown){
						/* get the latest time */
						$vsale_end_date = max($vsale_end);
						$vsale_end_date = date('Y/m/d', $vsale_end_date);
						?>
						<div class="box-timer">
							<div class="countbox hastime" data-time="<?php echo esc_attr($vsale_end_date); ?>"></div>
						</div>
						<?php
					}
				}
				?>
			</div>
		</div>
		<div class="clearfix"></div>
		<?php //do_action('woocommerce_after_shop_loop_item'); ?>
	</div>
</div>
<?php if (((0 == $woocommerce_loop['loop'] % 2 || $veneno_productsfound == $woocommerce_loop['loop']) && $woocommerce_loop['columns'] == 2) ) { /* for odd case: $veneno_productsfound == $woocommerce_loop['loop'] */
	if($veneno_productrows!=1){
		echo '</div>';
	}
} ?>